# $Revision: 1.3 $, $Date: 2009/05/04 19:43:31 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Audio
%define	pnam	WMA
Summary:	Audio::WMA - Perl extension for reading WMA/ASF Metadata
Summary(pl.UTF-8):	Audio::WMA - perlowe rozszerzenie do odczytu metadanych WMA/ASF
Name:		perl-Audio-WMA
Version:	1.3
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Audio/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d73594ef7904e919237423817593bb2d
URL:		http://search.cpan.org/dist/Audio-WMA/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements access to metadata contained in WMA files.

%description -l pl.UTF-8
Ten moduł implementuje dostęp do metadanych zawartych w plikach WMA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Audio/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-WMA.spec,v $
Revision 1.3  2009/05/04 19:43:31  areq
- 1.3

Revision 1.2  2008/03/13 22:09:59  qboosh
- pl, cleanup

Revision 1.1  2008-01-22 18:11:10  twittner
- initial, by pldcpan (which is great tool)
